%% Entrainement
MaxStepsPerEpisode = 4/Ts_agent; % 4 secondes de simulation

trainOpts = rlTrainingOptions(... 
    'MaxEpisodes',1000,...
    'MaxStepsPerEpisode',MaxStepsPerEpisode,... % 4 seconde de simulation maximum
    'Verbose',false,...
    'Plots','training-progress',...
    'StopTrainingCriteria','AverageReward',...
    'StopTrainingValue',0.95*MaxStepsPerEpisode,... % Arrête quand on obtient 98% de la récompense max théorique
    'ScoreAveragingWindowLength',5);

trainingStats = train(agent,env,trainOpts); % Entraine l'agent
save agent.mat agent
save trainingStats.mat trainingStats